/* GtkZephyr - a GTK+ based front end to MIT's Zephyr Notification Service
 * Copyright (C) 2000 Sean Dilda
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#include <gtk/gtk.h>
#include <com_err.h>


void gtkzephyr_error(gchar *msg) {

  GtkWidget *dialog, *label, *ok_button;

  dialog = gtk_dialog_new();
  label = gtk_label_new(msg);
  ok_button = gtk_button_new_with_label("Ok");

  gtk_signal_connect_object(GTK_OBJECT(ok_button), "clicked",
      GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(dialog));
  gtk_container_add(GTK_CONTAINER(GTK_DIALOG(dialog)->action_area), ok_button);
  gtk_container_add(GTK_CONTAINER(GTK_DIALOG(dialog)->vbox), label);
  gtk_widget_show_all(dialog);

}



void gtkzephyr_error_with_code(gchar *msg, long code) {

  gchar *newmsg = g_strdup_printf("%s %s\n", error_message(code), msg);
  gtkzephyr_error(newmsg);
  g_free(newmsg);

}
