#ifndef GTKZEPHYR_H
#define GTKZEPHYR_H

#include <gtk/gtk.h>
#include <com_err.h>
typedef struct {
  gint type;
  gint unreadmsg;  /* number of unread messages */
  GList *newmsgs;
  GList *readmsgs;
  GtkWidget *menu;
  GtkWidget *userdialog;
  GtkWidget *notebook;
  GtkWidget *newmsgclist;
  GtkWidget *newmsgtext;
  GtkWidget *dialogsendtext;
  GtkWidget *dialogsendbutton;
  GtkWidget *chatwindow;
  GtkWidget *chattext;
  GtkWidget *chatsendentry;
  GtkWidget *chatsendbutton;
} gtkzephyr_subscrip;

typedef struct {
  gtkzephyr_subscrip subscrip;
  gchar *userid;
  gchar *userrealm;
  gint status;     /* 0 - offline, 1 - online no new msgs, */
  gint oldstatus;
} gtkzephyr_user;

typedef struct {
  gtkzephyr_subscrip subscrip;
  gchar *class;
  gchar *instance;
  gchar *recipient;
  gchar *key;     /* Key for hash table */
} gtkzephyr_inst;

#define GTKZ_USER_TYPE		1
#define GTKZ_INST_TYPE		2

#define GTKZ_SUBSCRIP(foo)	((gtkzephyr_subscrip *) foo)
#define GTKZ_USER(foo)		((gtkzephyr_user *) foo)
#define GTKZ_INST(foo)		((gtkzephyr_inst *) foo)

gtkzephyr_user *gtkzephyr_get_user(gchar *userrealm);
gtkzephyr_inst *gtkzephyr_get_inst(gchar *class, gchar *inst_str, gchar *recipient);
void gtkzephyr_add_user(gchar *userid);
gtkzephyr_user *gtkzephyr_make_user(gchar *userid);
gtkzephyr_inst *gtkzephyr_make_inst(gchar *class, gchar *inst_str, gchar *recipient);
void gtkzephyr_add_unreadmsg(gtkzephyr_subscrip *subscrip);
void gtkzephyr_remove_unreadmsg(gtkzephyr_subscrip *subscrip);
void gtkzephyr_handle_user_login(gtkzephyr_user *user);
void gtkzephyr_handle_user_logout(gtkzephyr_user *user);
#ifdef DEBUG
#define DEBUG_INFO(args...) g_printerr(##args);
#else
#define DEBUG_INFO(agrs...) ;
#endif


#endif
